
Conversion Tools - Feature #3927

conversion mode that takes a file spec and a file blacklist

02/18/2019 12:03 PM - Eric Faulhaber

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eric Faulhaber % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No vendor_id: GCD

Description

Related issues:

Related to Conversion Tools - Bug #5135: replace -s, -f and -x options of Con... Closed

Related to Conversion Tools - Bug #5021: improve/fix file-ignore-list.txt ('X... Closed

Related to Conversion Tools - Bug #5137: any text following a # character in ... Closed

History

#1 - 02/18/2019 12:29 PM - Eric Faulhaber

The current conversion modes supported by ConversionDriver/TransformDriver are either a file specification at the command line (-S option) or a

custom file whitelist (-F option).

This feature combines a command line file specification with a custom file blacklist. The blacklist is a simple text file. Each line in this file specifies a

file or set of files to be excluded from the set of files that would be gathered by the command line specification. Like the existing whitelist, the blacklist

file is stored in the project root directory. All file specifications in the text file must be relative to the project root directory.

Each specification in the list must reference either a single file name, or a set of zero or more files using the following wildcard characters:

the asterisk (*) symbol, to represent zero or more wildcard characters;

the question mark (?) symbol, to represent exactly one wildcard character.

There is no fixed name associated with the blacklist file. This is left to the ConversionDriver user, such as the author of a build.xml script.

#2 - 02/19/2019 01:15 AM - Eric Faulhaber

- Status changed from New to Review

- % Done changed from 0 to 100

This feature is added in 3898a/11312. One specifies the -X option to the ConversionDriver and provides a starting directory name and inclusive file

specification (like with -S), plus the name of an ignore list file. The arguments must be provided in that order. Syntax text and javadoc were updated to

reflect the new option.

I did command line testing of the FileSpecList class, to which the feature was added. It seemed to work well. Testing with the ConversionDriver is still

needed.
#3 - 02/19/2019 01:21 AM - Eric Faulhaber

Note that the initial implementation of the this feature does not take case-sensitivity into account for name matching, though the existing custom file

list mode doesn't either (for matching, that is, it does for sorting).

#4 - 02/19/2019 10:04 AM - Greg Shah

Code Review Task Branch 3898a Revision 11312

I'm good with the changes.

#5 - 02/19/2019 10:35 AM - Eric Faulhaber

- Status changed from Review to Test

#6 - 04/12/2019 01:30 PM - Eric Faulhaber

- Status changed from Test to Closed

Branch 3898a was merged to trunk revision 11301.

#7 - 02/10/2021 07:51 AM - Greg Shah

- Related to Bug #5135: replace -s, -f and -x options of ConversionDriver with a single combined mode added

#8 - 02/10/2021 07:51 AM - Greg Shah

- Related to Bug #5021: improve/fix file-ignore-list.txt ('X' conversion mode) under Windows added

#9 - 02/10/2021 08:00 AM - Greg Shah

- Related to Bug #5137: any text following a # character in the include or exclude file list is ignored added
